package mtwmapi

import (
	"fmt"
	"testing"

	"git.rosy.net.cn/baseapi"
	"git.rosy.net.cn/baseapi/utils"
)

func TestOrderAddTips(t *testing.T) {
	err := api.OrderModityTips("69761763472881638", "6976176", 0.2)
	if err != nil {
		t.Fatal(err)
	}
}

func TestGetDistributeOrderDetail(t *testing.T) {
	result, err := api.GetDistributeOrderDetail("69761763472881638", "6976176")
	if err != nil {
		t.Fatal(err)
	}
	baseapi.SugarLogger.Debug(utils.Format4Output(result, false))
}

func TestCancelReason(t *testing.T) {
	result, err := api.GetCancelDeliveryReason(128752442052682640, "12875244")
	if err != nil {
		t.Fatal(err)
	}
	baseapi.SugarLogger.Debug(utils.Format4Output(result, false))
}

func TestGetRecommendSku(t *testing.T) {
	param := &RecommendSkuGet{
		WmPoiId:            17056471,
		PageNum:            1,
		PageSize:           100,
		NeedTag:            1,
		Name:               "",
		BrandId:            0,
		TagId:              0,
		SearchWord:         "",
		State:              0,
		LabelIds:           1,
		SaleStatus:         0,
		LimitSale:          0,
		NeedCombinationSpu: 2,
		NoStockAutoClear:   -1,
		MedicareType:       1,
	}
	api.GetRecommendSku(param, "")
}

func TestReviewAfterSales(t *testing.T) {
	api.ReviewAfterSales(&ReviewAfterSalesInfo{
		WmOrderIdView:     4402239923717696000,
		RefundId:          103055612496,
		ReviewType:        1,
		RejectReasonCode:  0,
		RejectOtherReason: "",
		IsReturnGoods:     0,
		OutOfStockItemIds: "",
	})
}

func TestName(t *testing.T) {
	fmt.Println(utils.Str2Int64("4402239923717696174"))
}
